VMTKCENTERLINEMESHSECTIONS(1)

NAME
vmtkcenterlinemeshsections - vmtk script vmtkcenterlinemeshsections

DESCRIPTION
Automatic piping vmtkcenterlinemeshsections Parsing options vmtkcenterlinemeshsections

vmtkcenterlinemeshsections : extract mesh sections along centerlines.

    The script takes in input the mesh and the relative centerlines.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Mesh (vtkUnstructuredGrid,1): the input mesh

-ifile MeshInputFileName (str,1): filename for the default Mesh

    reader

-centerlines Centerlines (vtkPolyData,1): the input centerlines

-centerlinesfile CenterlinesInputFileName (str,1): filename for the

    default Centerlines reader

-source SectionSource (vtkPolyData,1): the input section source

    with which to probe the mesh (optional)

-sourcefile SectionSourceInputFileName (str,1): filename for the

    default SectionSource reader

-usesource UseSectionSource (bool,1); default=False: if off, slice

    mesh with plane to generate sections; if on, use the SectionSource to probe the mesh

-sourcescaling SourceScaling (bool,1); default=False: toggle

    scaling the source with the local radius

-transformsections TransformSections (bool,1); default=False:

    transform sections so that they are at the origin, with normal 0,0,1 and upNormal 0,1,0

-sectionidsarray SectionIdsArrayName (str,1); default=SectionIds:

    the name of the array where the ids identifying sections are stored

-normalsarray SectionNormalsArrayName (str,1);

    default=SectionNormals: the name of the array where normals determining the section planes are stored

-upnormalsarray SectionUpNormalsArrayName (str,1): the name of the

    array where normals determining the "up" orientation of sections are stored

-additionalnormalsarray AdditionalNormalsArrayName (str,1);

    default=None: the name of the array that contains normals that will be transformed and assigned to additional data points

-additionalscalarsarray AdditionalScalarsArrayName (str,1);

    default=None: the name of the array that contains scalars that will be assigned to additional data points

-vectorsarray VectorsArrayName (str,1): the name of the array where

    vectors, e.g. velocity vectors, are stored

-originoffset OriginOffset (float,3); default=[0.0, 0.0, 0.0]:

    offset of subsequent sections after transformation

-ofile CenterlineSectionsOutputFileName (str,1): filename for the

    default CenterlineSections writer

-sectionpointsfile SectionPointsPolyDataOutputFileName (str,1):

    filename for the default SectionPointsPolyData writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o CenterlineSections (vtkPolyData,1): the output sections

-sectionpoints SectionPointsPolyData (vtkPolyData,1): the

    additional output poly data storing information about the location and orientation of sections